import {
  option,
  win,
  winText1,
  winText2,
  winText3,
  winText4,
  winText5,
  winText6,
  winText7,
  winText8,
  percentBonus,
} from "./variables.js";

$(document).ready(function () {

  if (option == 1) {
    $('.js-1').removeClass('hidden');
  }

  if (option == 3) {
    $('.js-3').removeClass('hidden');
    $('.js-3 .title').text(percentBonus + '%');
  }

  var congrModal = $("[data-remodal-id=congratulations]").remodal();
  var winModal = $("[data-remodal-id=win]").remodal();

  var winText = "";

    var winTextMap = {
      1: winText1,
      2: winText2,
      3: winText3,
      4: winText4,
      5: winText5,
      6: winText6,
      7: winText7,
      8: winText8,
    };


    winText = winTextMap[win] || winText8;

    var numericWinText = winText.replace(/\D/g, "");

    localStorage.setItem('FS', numericWinText);

  var winNum = localStorage.getItem('FS');

  $(".js-win").text(winNum + ' FS');

  if (option == 3) {
    $('.js-step3-hide').hide();
  }

  if (option != 2) {

    $(".js-1 .title").text(winNum + 'FS');

    $(".js-fs-win").text(winNum + ' FS');
    $('.js-fs').text(winNum);

    $('.js-percent').text(percentBonus + '%');

  }

  $(".js-wheel").on("click", function () {
    $(".wheel__main-img")
      .removeClass("animated")
      .addClass("win" + win);

    if (option != 3) {
      setTimeout(function () {
        congrModal.open();
      }, 3500);
    }

    if (option == 3) {
      setTimeout(function () {
        $(".wheel__wrapper").addClass("hide");
        $(".cards__wrap").addClass("active");
      }, 3500);
    }

    

  });

  if (option == 1) {
    $(".js-next").on("click", function (event) {
      event.preventDefault();
      $(".wheel__wrapper").addClass("hide");
      congrModal.close();
      $(".cards__wrap").addClass("active");
    });
  }


  // scratch

  if (option != 2) {
    var clickCount = 0;

    const scContainers = document.querySelectorAll(".card__canvas");

    scContainers.forEach(function (scContainer) {
      const sc = new ScratchCard(scContainer, {
        scratchType: SCRATCH_TYPE.CIRCLE,
        containerWidth: scContainer.offsetWidth,
        containerHeight: 137,
        imageForwardSrc: "./img/card.png",
        imageBackgroundSrc: "./img/card__win.png",
        clearZoneRadius: 50,
        nPoints: 30,
        pointSize: 4,
        callback: function () {
          clickCount++;
          if (clickCount == 2) {
            setTimeout(function () {
              winModal.open();
            }, 1000);
          }
        },
      });

      sc.init()
        .then(() => {
          sc.canvas.addEventListener("scratch.move", () => {
            let percent = sc.getPercent().toFixed(2);
          });
        })
        .catch((error) => {
          alert(error.message);
        });
    });

    $(".cards__wrap").removeClass("active");
  }


});
